Subject: bug#62325: Python quotes/apostrophes can cause hang

From: Gabriel Brown <[email-masked]>
Date: Mon, 20 Mar 2023 18:36:16 -0500

Hi, all. First bug report for me. I've searched to see if there are 
other reports of my issue, but turned up empty handed.

--- Summary ---
It seems when there are three or more python docstrings (each bordered 
by two lines of triple quotes """) and each containing an apostrophe, 
then the next time a quote docstring is to be inserted Emacs hangs.

I have included a minimum viable example file that reproduces this 
behavior on my machine. Simply replace the angle bracket line 
containing the instructions with triple quotes, and Emacs should hang. 
(In case file attachments don't work I have included the text of the 
file at the end of the email.)

--- Additional information ---
Emacs version: 28.2 (via pacman package manager)
machine: EndeavourOS Linux x86_64 (kernel: 6.2.2-arch1-1)
reply email: [email-masked]

--- start of example file ---
def f_0():
    # inline comment
    < try replacing with triple quotes >
    return 4

def f_1():
    """
    ghbrown's first comment
    """
    return 1

def f_2():
    """
    ghbrown's second comment
    """
    return 1

def f_3():
    """
    ghbrown's third comment
    """
    return 1
--- end of example file ---